## dhis-dns-engine 5.0

=== Makefile ===
# -
# Copyright (c) 1998-2001 Joao Cabral (jcnc@dhis.org)
# All rights reserved.
#
# Redistribution and use in source and binary forms, with or without
# modification, are permitted provided that the following conditions
# are met:
# 1. Redistributions of source code must retain the above copyright
#    notice, this list of conditions and the following disclaimer.
# 2. Redistributions in binary form must reproduce the above copyright
#    notice, this list of conditions and the following disclaimer in the
#    documentation and/or other materials provided with the distribution.
#
# THIS SOFTWARE IS PROVIDED BY THE AUTHOR AND CONTRIBUTORS ``AS IS'' AND
# ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE
# IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE
# ARE DISCLAIMED.  IN NO EVENT SHALL THE AUTHOR OR CONTRIBUTORS BE LIABLE
# FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL
# DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS
# OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION)
# HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT
# LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY
# OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
# SUCH DAMAGE.
#
#      DHIS(c)  Dynamic Host Information System Release 5.0

CC=gcc
CFLAGS=-Wall -I/usr/local/include -I/usr/bind/include -I/usr/lib/bind/include \
       -I/usr/local/bind/include # -DBIND821
LFLAGS=-L/usr/local/lib -L/usr/bind/lib -L/usr/local/bind/lib -L/usr/lib/bind/lib
LIBS=-lbind # -lnsl -lsocket 
RM=rm -f

INSTALLDIR=/etc/dhis/bin
MODE=700
OWNER=root
MKDIR=mkdir -p
CHOWN=chown
CHMOD=chmod
CP=cp


dhis-dns-engine:dhis-dns-engine.c
	$(CC) $(CFLAGS) $(LFLAGS) -o dhis-dns-engine dhis-dns-engine.c $(LIBS)
	strip dhis-dns-engine

install: dhis-dns-engine
	$(MKDIR) $(INSTALLDIR)
	$(CP) dhis-dns-engine $(INSTALLDIR)
	$(CHOWN) $(OWNER) $(INSTALLDIR)/dhis-dns-engine
	$(CHMOD) $(MODE) $(INSTALLDIR)/dhis-dns-engine

clean:
	$(RM) *.core core dhis-dns-engine *.o

## dhis-dns-engine 5.3

=== Makefile ===
--- 
+++ 
@@ -1,5 +1,5 @@
 # -
-# Copyright (c) 1998-2001 Joao Cabral (jcnc@dhis.org)
+# Copyright (c) 1998-2005 Joao Cabral
 # All rights reserved.
 #
 # Redistribution and use in source and binary forms, with or without
@@ -23,13 +23,12 @@
 # OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
 # SUCH DAMAGE.
 #
-#      DHIS(c)  Dynamic Host Information System Release 5.0
+#      DHIS(c)  Dynamic Host Information System Release 5
 
 CC=gcc
-CFLAGS=-Wall -I/usr/local/include -I/usr/bind/include -I/usr/lib/bind/include \
-       -I/usr/local/bind/include # -DBIND821
-LFLAGS=-L/usr/local/lib -L/usr/bind/lib -L/usr/local/bind/lib -L/usr/lib/bind/lib
-LIBS=-lbind # -lnsl -lsocket 
+CFLAGS=-Wall -I/usr/local/include
+LFLAGS=-L/usr/local/lib
+LIBS=
 RM=rm -f
 
 INSTALLDIR=/etc/dhis/bin
@@ -41,8 +40,8 @@
 CP=cp
 
 
-dhis-dns-engine:dhis-dns-engine.c
-	$(CC) $(CFLAGS) $(LFLAGS) -o dhis-dns-engine dhis-dns-engine.c $(LIBS)
+dhis-dns-engine:dhis-dns-engine.c nsupdate.c
+	$(CC) $(CFLAGS) $(LFLAGS) -o dhis-dns-engine nsupdate.c dhis-dns-engine.c $(LIBS)
 	strip dhis-dns-engine
 
 install: dhis-dns-engine

=== debian/changelog ===
dhis-dns-engine (5.3-2) unstable; urgency=medium

  * Bump debian/compat to 9.
  * Bump Standards-Version.
  * Convert debian/rules to dh.
  * Convert to 3.0 (quilt) format.
  * Add ${misc:Depends}.
  * Ensure it gets compiled with hardening flags.

 -- Guus Sliepen <guus@debian.org>  Thu, 10 Mar 2016 14:04:28 +0100

dhis-dns-engine (5.3-1) unstable; urgency=low

  * New upstream release.

 -- Guus Sliepen <guus@debian.org>  Sat, 05 Jan 2008 22:12:09 +0100

dhis-dns-engine (5.1-2) unstable; urgency=low

  * Remove strip command from Makefile. Closes: #436765

 -- Guus Sliepen <guus@debian.org>  Tue, 14 Aug 2007 13:43:33 +0200

dhis-dns-engine (5.1-1) unstable; urgency=low

  * New upstream release. Closes: #372556
  * Use libbind-dev instead of bind-dev.
  * Remove warnings caused by silly use of unsigned char.

 -- Guus Sliepen <guus@debian.org>  Tue, 13 Jun 2006 12:56:16 +0200

dhis-dns-engine (5.0-2) unstable; urgency=low

  * #include <stdarg.h> instead of <varargs.h>.

 -- Guus Sliepen <guus@debian.org>  Tue, 27 May 2003 22:40:05 +0200

dhis-dns-engine (5.0-1) unstable; urgency=low

  * Initial Release.

 -- Guus Sliepen <guus@debian.org>  Sat, 22 Jun 2002 12:42:24 +0200

=== debian/control ===
Source: dhis-dns-engine
Section: net
Priority: extra
Maintainer: Guus Sliepen <guus@debian.org>
Build-Depends: debhelper (>= 9), libbind-dev
Standards-Version: 3.9.7
Homepage: http://www.dhis.org/

Package: dhis-dns-engine
Architecture: any
Depends: ${shlibs:Depends}, dhis-server, bind9 | bind, ${misc:Depends}
Description: Dynamic Host Information System - DNS engine
 This package contains a dynamic DNS service module to be used
 with dhisd release 5 or above.
 .
 While the DHIS server dhisd retrieves dynamic IP addresses
 from clients, this module allows the server to update a
 dynamic DNS zone based on those retrieved IP addresses.

=== debian/rules ===
#!/usr/bin/make -f

%:
		dh $@ --parallel
